Name:		unrtf
Summary:	RTF to other formats converter
Version:	0.21.7
Release:	1
Group:		Applications/Text
License:	GPLv2+
URL:		http://www.gnu.org/software/%{name}/%{name}.html
Source0:	http://www.gnu.org/software/%{name}/%{name}-%{version}.tar.gz
Source1:	http://www.gnu.org/software/%{name}/%{name}-%{version}.tar.gz.sig
Patch0:		%{name}-%{version}-aix.patch
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:	libiconv >= 1.14-2
BuildRequires:	make
Requires:	libiconv >= 1.14-2

%description
UnRTF is a moderately complicated converter from RTF to other
formats, including HTML, LaTeX, text, and PostScript. Converting
to HTML, it supports tables, fonts, colors, embedded images,
hyperlinks, paragraph alignment among other things. All other
conversions are "alpha"--just begun.


%prep
%setup -q
%patch0


%build
export CC=xlc
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir}
gmake %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
gmake DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc README ChangeLog COPYING AUTHORS
%{_bindir}/*
%{_mandir}/man1/*
/usr/bin/*


%changelog
* Tue Jan 20 2015 Michael Perzl <michael@perzl.org> - 0.21.7-1
- updated to version 0.21.7

* Wed Dec 10 2014 Michael Perzl <michael@perzl.org> - 0.21.6-1
- updated to version 0.21.6

* Fri Jun 28 2013 Michael Perzl <michael@perzl.org> - 0.21.5-1
- updated to version 0.21.5

* Tue Jun 18 2013 Michael Perzl <michael@perzl.org> - 0.21.4-1
- updated to version 0.21.4

* Sun Jan 27 2013 Michael Perzl <michael@perzl.org> - 0.21.3-1
- updated to version 0.21.3

* Tue Jun 07 2011 Michael Perzl <michael@perzl.org> - 0.21.2-1
- updated to version 0.21.2

* Tue Jan 19 2010 Michael Perzl <michael@perzl.org> - 0.21.1-1
- updated to version 0.21.1

* Thu Mar 12 2009 Michael Perzl <michael@perzl.org> - 0.21.0-1
- updated to version 0.21.0

* Fri May 16 2008 Michael Perzl <michael@perzl.org> - 0.20.5-1
- First version for AIX5L v5.1 and higher
